ru.bitel.bgbilling.kernel.network.flow

## Class IPFIXArray

- java.lang.Object
- - ru.bitel.bgbilling.kernel.network.flow.FlowArray<IPFIXRecord>
  - - ru.bitel.bgbilling.kernel.network.flow.IPFIXArray

- All Implemented Interfaces:
    Netflow9Processor

      public class IPFIXArray
      extends FlowArray<IPFIXRecord>
      implements Netflow9Processor

  Разобранные flow пакета IPFIX версии 10. Формат: http://www.cisco.com/en/US/technologies/tk648/tk362/technologies_white_paper09186a00800a3db9.html

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.network.flow.FlowArray

      `array, size`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IPFIXArray(int size)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(java.lang.String[] args)`
    `int` | `next(java.nio.ByteBuffer readBuffer, java.util.concurrent.ConcurrentMap<java.lang.Integer,NetFlow9Template> templates)`
    `static int` | `next(java.nio.ByteBuffer readBuffer, java.util.concurrent.ConcurrentMap<java.lang.Integer,NetFlow9Template> templates, Netflow9Processor processor)`
    `boolean` | `parsePacket(java.nio.ByteBuffer readBuffer, long millis, java.util.concurrent.ConcurrentMap<java.lang.Integer,NetFlow9Template> templates)` Разбор NetFlow дайтаграммы.
    `void` | `process(java.nio.ByteBuffer readBuffer, int offset, long millis, NetFlow9Template template)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IPFIXArray

          public IPFIXArray(int size)

  - ### Method Detail

    - #### parsePacket

          public final boolean parsePacket(java.nio.ByteBuffer readBuffer,
                                           long millis,
                                           java.util.concurrent.ConcurrentMap<java.lang.Integer,NetFlow9Template> templates)

      Разбор NetFlow дайтаграммы.
      Parameters:
        `readBuffer` - буфер чтения.
        -

    - #### next

          public final int next(java.nio.ByteBuffer readBuffer,
                                java.util.concurrent.ConcurrentMap<java.lang.Integer,NetFlow9Template> templates)
                         throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### process

          public void process(java.nio.ByteBuffer readBuffer,
                              int offset,
                              long millis,
                              NetFlow9Template template)

      Specified by:
        `process` in interface `Netflow9Processor`

    - #### next

          public static int next(java.nio.ByteBuffer readBuffer,
                                 java.util.concurrent.ConcurrentMap<java.lang.Integer,NetFlow9Template> templates,
                                 Netflow9Processor processor)
                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### main

          public static void main(java.lang.String[] args)